| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::AutoRotator Class Reference

## Public Member Functions
float | rotationAngle (const DImg &img, bool copyDImg=true)
| rotationAngle
MetaEngineRotation::TransformationAction | rotationOrientation (const DImg &img, int sensitivity, bool copyDImg=true)
| rotationOrientation
MetaEngineRotation::TransformationAction | rotationOrientation (const QString &img, int sensitivity)
| rotationOrientation

## Protected Attributes
DNNModelNet * | model = nullptr

## Member Function Documentation

## ◆ rotationAngle()

float Digikam::AutoRotator::rotationAngle | ( | const DImg & | img,
|  | bool | copyDImg = `true`
| ) |  |

Parameters

  img | The DImg file must be in the same rotation as what is displayed in the image viewer

Returns
  The free rotation angle

## ◆ rotationOrientation() [1/2]

MetaEngineRotation::TransformationAction Digikam::AutoRotator::rotationOrientation | ( | const DImg & | img,
|  | int | sensitivity,
|  | bool | copyDImg = `true`
| ) |  |

Parameters

  img | The DImg file must be in the same rotation as what is displayed in the image viewer
  sensitivity | The sensitivity of the of the base angle

Returns
  The rotation action to be taken

## ◆ rotationOrientation() [2/2]

MetaEngineRotation::TransformationAction Digikam::AutoRotator::rotationOrientation | ( | const QString & | img,
|  | int | sensitivity
| ) |  |

Parameters

  img | The image file path
  sensitivity | The sensitivity of the of the base angle

Returns
  The rotation action to be taken